PHPExcel_Reader

# Class: PHPExcel_Reader_IReader

Source Location: /PHPExcel/Reader/IReader.php

### Interface Overview

PHPExcel_Reader_IReader

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- canRead
- load

### Class Details

[line 36]
PHPExcel_Reader_IReader

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method canRead [line 44]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

access: | public

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method load [line 52]

`void load( $pFilename, string $pFileName)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:30 +0200 by phpDocumentor 1.4.4